summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-try-install
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2017-05-08 17:26:47 +0000
committerKarl Berry <karl@freefriends.org>2017-05-08 17:26:47 +0000
commitc43a6e19938380bb01435c9687aaeac2621b962c (patch)
treed79568fad21501809a8482713ef268fa0a950c92 /Master/tlpkg/bin/tl-try-install
parentfb7356be8fc2d630c3c088408799c2dc0d325502 (diff)
tl-makeself-from-tlnet: rework to support spaces in source and target
directory paths. More checking, reporting, debugging. tl-test-makeself, tl-test-install: new test scripts. tl-update-tlcritical: doc. tlmgr.pl: ddebug a couple init msgs instead of debug; doc. dev/profiles: new directory of profiles for assorted (manual) testing. git-svn-id: svn://tug.org/texlive/trunk@44249 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-try-install')
-rwxr-xr-xMaster/tlpkg/bin/tl-try-install35
1 files changed, 35 insertions, 0 deletions
diff --git a/Master/tlpkg/bin/tl-try-install b/Master/tlpkg/bin/tl-try-install
new file mode 100755
index 00000000000..4adbccd6682
--- /dev/null
+++ b/Master/tlpkg/bin/tl-try-install
@@ -0,0 +1,35 @@
+#!/bin/sh
+# $Id$
+# Try a TL installation with various profiles into /tmp/ki. Public domain.
+
+renice 20 $$ >&/dev/null
+cd $HOME || exit 1 # don't let cwd interfere
+
+instdir=/tmp/ki # in .pro files too
+rm -rf $instdir* && echo "removed $instdir*."
+
+# make installations quieter.
+TEXLIVE_INSTALL_ENV_NOCHECK=1; export TEXLIVE_INSTALL_ENV_NOCHECK
+TEXLIVE_INSTALL_NO_WELCOME=1; export TEXLIVE_INSTALL_NO_WELCOME
+
+# some director
+mydir=`cd \`dirname "$0"\` && pwd` # Master/tlpkg/bin
+Master=`cd $mydir/../.. && pwd`
+#
+thisrel=/usr/local/texlive/`date +%Y` # not necessarily, but whatever
+prevrel=/usr/local/texlive/`expr "$(date +%Y)" - 1`
+
+pro=--profile=$Master/tlpkg/dev/profiles/TLspace.pro #infra min small ...
+exec time $Master/install-tl $pro
+exec time $lp/install-tl $pro
+exec time $lp/install-tl $pro --repo ftp://ftp.cstug.cz/pub/tex/local/tlpretest
+exec time $ln/install-tl $pro --repo ctan #--in-place
+exec time $thisrel/install-tl $pro
+exec time $prevrel/install-tl $pro
+exit $?
+
+# above are just assorted invocations that have been useful from time to
+# time, nothing magic. do what's needed.
+#
+# $lp = pretest, /home/ftp/texlive/tlpretest on tug.org.
+# $ln = tlnet, /home/ftp/texlive/tlnet on tug.org.